Skip to content
Guides
API reference
stablecatalog:read

Get size guide

Returns one size guide with its measurement table.

GET/v1/catalog/size-guides/{sizeGuideId}

Returns one size guide with its measurement table.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

sizeGuideId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/size-guides/string"
{  "id": "string",  "storeId": "string",  "sellerId": null,  "name": "string",  "slug": "string",  "description": null,  "imageUrl": null,  "gender": "unisex",  "measurementType": "body",  "unit": "cm",  "status": "draft",  "priority": 0,  "notes": null,  "rows": [    {      "label": "string",      "sizeKey": null,      "order": 0,      "measurements": [        {          "key": "string",          "name": "string",          "min": null,          "max": null,          "value": null,          "description": null        }      ]    }  ],  "assignments": [    {      "id": "string",      "sizeGuideId": "string",      "productId": null,      "productName": null,      "categoryId": null,      "categoryName": null,      "includeChildrenCategories": true,      "priority": 0,      "createdOn": "2019-08-24T14:15:22Z"    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}